'use strict';

const Sequelize = require('sequelize');
const sequelize = require('../lib/database').sequelize;

const Role = sequelize.define('role', {
  name: {
    type: Sequelize.STRING,
    unique: true,
    allowNull: false
  },
  description: {
    type: Sequelize.STRING,
    allowNull: false
  }
});

module.exports = {
  Role
};
