'use strict';

const Sequelize = require('sequelize');
const sequelize = require('../lib/database').sequelize;

const User = sequelize.define('user', {
  loginName: {
    type: Sequelize.STRING,
    unique: true,
    allowNull: false
  },
  password: {
    type: Sequelize.STRING,
    allowNull: false
  },
  email: {
    type: Sequelize.STRING,
    unique: true,
    allowNull: false
  }
});

module.exports = {
  User
};
