'use strict';

const LogicalOperators = new Map([
  [ '$and', {
    key: '$and',
    concat: 'AND',
    withArray: true
  }],
  [ '$or', {
    key: '$or',
    concat: 'OR',
    withArray: true
  }],
  [ '$nor', {
    key: '$nor',
    prefix: 'NOT',
    concat: 'OR',
    withArray: true
  }],
  [ '$not', {
    key: '$not',
    prefix: 'NOT',
    withArray: false
  }]
]);

module.exports = {
  LogicalOperators
};
